--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "TipTac"

local function AssignTipTac(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	if not TipTac_Config then return end
	if TipTac:IsShown() then
		TipTac:Hide()
	end
--	TipTac:ApplySettings()
end

local function ConfigureTipTac(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	local FauxMazzle = NS:LoadSettingsTipTac()
	FauxMazzle.top = NS.UIH * 0.5
	if NS.Versions[AddonName][WOW_PROJECT_ID] and NS.Versions[AddonName][WOW_PROJECT_ID].scale then
		FauxMazzle.gttScale = NS.Versions[AddonName][WOW_PROJECT_ID].scale
	end
	TipTac_Config = TipTac_Config or {}
	NS.Lib:CopyTable(FauxMazzle, TipTac_Config)
	if TipTac.ApplySettings then
		TipTac:ApplySettings()
	elseif TipTac.ApplyConfig then
		TipTac:ApplyConfig()
	else
		NS.DebugPrint("TipTac", "No function to apply settings found!")
		TipTac:ApplyConfig() -- force an error so I know they's dicked with TT again!
	end
--	TipTac:VARIABLES_LOADED("VARIABLES_LOADED")
end
NS:AddConfig(1, AddonName, "Tip Tac", ConfigureTipTac, AssignTipTac)
